# Distributed Interactive Simulation (DIS) 101 Tutorial

	[IITSEC 2019](http://www.iitsec.org),  2-6 December 2019, Orlando Florida
	
	[mailto:brutzman@nps.edu?subject="IITSEC%202019%20DIS%20101%20Tutorial](Don Brutzman) and
    [mailto:christian.fitzpatrick@nps.edu?subject="IITSEC%202019%20DIS%20101%20Tutorial](Chris Fitzpatrick)

    Modeling Virtual Environments Simulation (MOVES) Institute, Naval Postgraduate School (NPS)
	
The Distributed Interactive Simulation (DIS) protocol is a well-established IEEE standard for packet-level exchange of state information between entities in military simulations.  DIS facilitates simulation interoperability through a consistent over-the-wire format for information, widely agreed upon constant enumeration values, and community-consensus semantics.

Anyone can obtain the IEEE-1278 standard and implement their own compliant, interoperable, DIS application. A large variety of tools and codebases simplify this effort, and enable multi-architecture integration of simulations using the DIS stand baseline. DIS focus begins with real-time, physics-based, entity-scale simulations, providing state update and interaction mechanisms which can scale to large virtual environments.

This tutorial is a DIS 101 introduction for software implementers and an introduction to the DIS philosophy for simulation systems integrators.  Examples are provided using the open-source Open-DIS library for DIS v7 support, available in multiple programming languages.  Ongoing work is included in WebRTC browser streaming, unit testing of DIS streams, and Web-based implementations using 2D maps and X3D Graphics. 

Motivation: note that DIS can be used for connecting all manner of simulations, namely Live Virtual Constructive LVC, is the necessary path for connecting to Command and Control (C2) systems.  Establishing such connections between traditionally separate domains is central to conference theme,
"WINNING THE WAR OF COGNITION BY PUSHING READINESS AND LETHALITY BOUNDARIES."

Acknowledgement: this tutorial was originally developed by Don McGregor NPS.
